unit MILAbout;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, MILFlashLabel;

type
  TfrmMILAbout = class(TForm)
    imgLogo: TImage;
    lblComponent: TMILFlashLabel;
    lblVersion: TLabel;
    lblAuthor: TLabel;
    lblCopyright: TLabel;
    cmdOK: TButton;
    bvlSepBar: TBevel;
    procedure cmdOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    procedure SetLabels(Component, Version, Author, Copyright : String);
  end;

var
  frmMILAbout: TfrmMILAbout;

implementation

{$R *.DFM}

procedure TfrmMILAbout.SetLabels(Component, Version, Author, Copyright : String);
begin
  Caption := 'About ' + Component + ' v' + Version;

  lblComponent.Caption := Component;
  lblComponent.Left    := bvlSepBar.Left + ((bvlSepBar.Width - lblComponent.Width) div 2);
  lblComponent.Top     := imgLogo.Top + ((imgLogo.Height - lblComponent.Height) div 2);

  lblVersion.Caption := 'v' + Version;
  lblVersion.Left := lblComponent.Left + ((lblComponent.Width - lblVersion.Width) div 2);

  lblAuthor.Caption := 'by ' + Author;
  lblAuthor.Left := lblComponent.Left + ((lblComponent.Width - lblAuthor.Width) div 2);

  lblCopyright.Caption := Copyright;
  lblCopyright.Left := lblComponent.Left + ((lblComponent.Width - lblCopyright.Width) div 2);
end;

procedure TfrmMILAbout.cmdOKClick(Sender: TObject);
begin
  Close;
end;

end.
